package com.example.sharedpreferenceskotlin

import android.app.Activity
import android.content.SharedPreferences
import android.os.Bundle
import android.view.View
import android.widget.EditText

class MainActivity : Activity() {
    lateinit var sharedpreferences: SharedPreferences
    lateinit var name: EditText
    lateinit var email: EditText

    companion object {
        const val mypreference = "mypref"
        const val Name = "nameKey"
        const val Email = "emailKey"
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        name = findViewById<View>(R.id.etName) as EditText
        email = findViewById<View>(R.id.etEmail) as EditText

        sharedpreferences = getSharedPreferences(mypreference, MODE_PRIVATE)

        if (sharedpreferences.contains(Name)) {
            name.setText(sharedpreferences.getString(Name, ""))
        }
        if (sharedpreferences.contains(Email)) {
            email.setText(sharedpreferences.getString(Email, ""))
        }
    }

    fun Save(view: View) {
        val n = name.text.toString()
        val e = email.text.toString()
        val editor = sharedpreferences.edit()
        editor.putString(Name, n)
        editor.putString(Email, e)
        editor.commit()
    }

    fun clear(view: View) {
        name.setText("")
        email.setText("")
    }

    fun Get(view: View) {
        sharedpreferences = getSharedPreferences(mypreference, MODE_PRIVATE)
        if (sharedpreferences.contains(Name)) {
            name!!.setText(sharedpreferences.getString(Name, ""))
        }
        if (sharedpreferences.contains(Email)) {
            email!!.setText(sharedpreferences.getString(Email, ""))
        }
    }
}